Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jsxe
Class BufferHistory.BufferHistoryEntry

    java.lang.Object
      net.sourceforge.jsxe.BufferHistory.BufferHistoryEntry

Enclosing class:
  BufferHistory

public static class BufferHistory.BufferHistoryEntry
extends Object

Represents an entry in the buffer history. Entries are comprised of the path of the file in the entry, the name of the document view that was used to edit the document, and the properties that are associated with that document.

Constructor Summary
`BufferHistory.BufferHistoryEntry(String path, String viewName, Properties properties)` Creates a new Buffer history entry for the path given

Method Summary
`String` | `getPath()` Gets the path of the file for this entry
`Properties` | `getProperties()` Gets the properties associated with the file
`String` | `getViewName()` Gets the name of the document view used to edit the file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferHistory.BufferHistoryEntry

    public BufferHistory.BufferHistoryEntry(String path,
                                            String viewName,
                                            Properties properties)

  Creates a new Buffer history entry for the path given

Parameters:
  `path` - the path of the file for this entry
  `viewName` - the name of the view that was used
  `properties` - the properties associated with the document

Method Detail

### getPath

    public String getPath()

  Gets the path of the file for this entry

  Returns:
    the path to the file

### getViewName

    public String getViewName()

  Gets the name of the document view used to edit the file. This is the name normally returned by the method DocumentView.getViewName();

  Returns:
    the view name
  See Also:
    `net.sourceforge.jsxe.gui.view.DocumentView#getViewName()`

### getProperties

    public Properties getProperties()

  Gets the properties associated with the file

  Returns:
    the properties associated with the file

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD